%define real_name netcat

Summary: Networking utility that manages TCP and UDP connections
Name: nc
Version: 0.7.1
Release: 1
License: GPL
Group: Applications/Internet
URL: http://netcat.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/%{real_name}/%{real_name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
Requires: gettext

Conflicts: %{real_name}

%description
GNU Netcat is a featured networking utility which reads and writes data across
network connections, using the TCP/IP protocol.
It is designed to be a reliable "back-end" tool that can be used directly or
easily driven by other programs and scripts. At the same time, it is a
feature-rich network debugging and exploration tool, since it can create
almost any kind of connection you would need and has several interesting
built-in capabilities.


%prep
%setup -q -n %{real_name}-%{version}


%build
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{real_name}*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{real_name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{real_name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/migration doc/drafts
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 0.7.1-1
- first version for AIX V5.1 and higher
